Bug 218255 - Changes in ta-typewriter keymap required
Changes in ta-typewriter keymap required
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: m17n-db (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mayank Jain
: i18n, Reopened
Depends On: 218254
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-04 02:27 EST by Mayank Jain
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-03 21:13:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch - as per changes done by Tamil LM (2.87 KB, patch)
2006-12-04 02:48 EST, Mayank Jain
no flags Details | Diff
Correct patch. (2.87 KB, patch)
2006-12-04 04:42 EST, Mayank Jain
no flags Details | Diff
Updated Tamil typewriter keymap (9.51 KB, text/plain)
2007-04-10 02:27 EDT, Felix
no flags Details

  None (edit)
Description Mayank Jain 2006-12-04 02:27:28 EST
1. In ta-typewriter.mim table following mapping is wrong  as:

("n" "")   it should be ("n" "ே") 

However for the sake of typewriter users (or otherwise) who may be puzzled (as
to why
nothing appears when n is pressed but the correct output occurs when the
next key for consonant is pressed) you can make the assignment as follows:


2. In ("bfs" "கெள") to ("bBs" "க்ஷெள") series though it seem to be correct the
characters are not mapped correctly like ta-tamil99.mim. 

So it require changes
Comment 1 Mayank Jain 2006-12-04 02:48:51 EST
Created attachment 142702 [details]
Patch - as per changes done by Tamil LM
Comment 2 Mayank Jain 2006-12-04 04:42:34 EST
Created attachment 142715 [details]
Correct patch.

My bad, the earlier patch was reversed. This one is correct.
Comment 3 Mayank Jain 2006-12-07 02:42:53 EST
Fixed in m17n-db-1_3_3-43_fc7, m17n-db-1_3_3-41_fc6
FC-6 build pushed for updates.
Comment 4 A S Alam 2007-03-15 08:13:21 EDT
bug is fixed, tested with following Package:
m17n-db-1.3.4-7.fc7
Comment 5 Felix 2007-04-10 02:27:29 EDT
Created attachment 152116 [details]
Updated Tamil typewriter keymap
Comment 6 Felix 2007-04-10 02:32:20 EDT
I append some combination in ta-typewriter.mim. So pls build the package. Can
find the file in comment #5
Thanks
Comment 7 Jens Petersen 2007-05-03 20:54:16 EDT
(In the future if you need changes then please reopen the bug.  Thanks.)
Comment 8 Jens Petersen 2007-05-03 20:57:30 EDT
Felix, in the future I would suggest also sending changes directly upstream to
the m17n-lib list if you are comfortable with that.  It would still be
good to do that for this update too.
Comment 9 Jens Petersen 2007-05-03 21:13:39 EDT
Ok I see you filed bug 236169 also for this change.
So let's close this one for now.

Note You need to log in before you can comment on or make changes to this bug.